/**
 * @file
 * Visual styles for Corporate+'s images.
 */

.circle-img {
    display: block;
    text-align: center;
}

.circle-img img {
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    border-radius: 100%;
}

.images-container {
    margin-bottom: 45px;
}

.node-mt-slideshow-entry .field--type-image {
    margin: 0 0 20px 0;
}

.image-preview {
    overflow: hidden;
    position: relative;
}

.node--view-mode-teaser .field--type-image img:hover {
    opacity: 0.8;
    filter: alpha(opacity=80);
    -webkit-transition: opacity linear 0.2s;
    -moz-transition: opacity linear 0.2s;
    -o-transition: opacity linear 0.2s;
    -ms-transition: opacity linear 0.2s;
    transition: opacity linear 0.2s;
}

.image-caption {
    position: absolute;
    bottom: 40px;
    left: 40px;
    width: 330px;
}

.image-caption h4 {
    background: rgba(225, 225, 225, 0.85);
    color: #363636;
    padding: 15px;
    margin: 0;
    margin-bottom: 1px;
}


/*image listing*/

.image-listing-items {
    overflow: hidden;
}

.image-listing-item {
    float: left;
    padding: 0;
    margin: 2.66% 2.66% 0 0;
    max-width: 17.866666666%;
}

.image-listing-items .image-listing-item:nth-child(5n) {
    margin-right: 0px;
}

@media (max-width:767px) {
    .images-container {
        margin-bottom: 10px;
    }
}


/*overlay of image listing items*/

.image-listing-item .overlay-icon--button {
    width: 30px;
    height: 30px;
    font-size: 14px;
    line-height: 30px;
}

.image-listing-item .overlay-inner {
    margin-top: -15px;
}

.image-listing-item img {
    height: 160px;
    object-fit: contain;
    object-position: left;
}